Subject: Re: gemtext (was: So I made a thing: nncp-echomail)

From: Eugene Medvedev <[email-masked]>
Date: Sat, 4 Oct 2025 22:34:41 +0300

On Sat, 4 Oct 2025 at 22:25, Sergey Matveev <[email-masked]> wrote:

> Ideally
> you would use SHA2-512/256 variant, where SHA2's state is initialised
> with different "magic numbers" to separate the context of ordinary
> SHA2-512 from SHA2-512/256, because if you happen to get SHA2-512, then
> you can "calculate" its stripped variant.

That, actually, was what I just changed it to upon reading up a bit on
how this is done in ZFS. I figure this is a sufficiently happy medium
for now. While there is no SHA-512/256 in coreutils,
openssl dgst -sha512-256 should be available enough to use as the
last resort...

--
Eugene Medvedev